libxerces2-java_2.11.0-7_all.deb


Advertisement

Description

libxerces2-java - Validating XML parser for Java with DOM level 3 support

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libxerces2-java
Package version: 2.11.0
Package release: 7
Package architecture: all
Package type: deb
Installed size: 1.53 KB
Download size: 1.30 MB
Official Mirror: ftp.br.debian.org
The Xerces2 Java parser is the reference implementation of XNI, the Xerces Native Interface, and also a fully conforming XML Schema processor. Xerces2-J supports the following standards and APIs: * eXtensible Markup Language (XML) 1.0 Second Edition Recommendation * Namespaces in XML Recommendation * Document Object Model (DOM) Level 2 Core, Events, and Traversal and Range Recommendations * Simple API for XML (SAX) 2.0.1 Core and Extension * Java APIs for XML Processing (JAXP) 1.2.01 * XML Schema 1.0 Structures and Datatypes Recommendations * Experimental implementation of the Document Object Model (DOM) Level 3 Core and Load/Save Working Drafts * Provides a partial implementation of the XML Inclusions (XInclude) W3C Candidate Recommendation Xerces is now able to parse documents written according to the XML 1.1 Candidate Recommendation, except that it does not yet provide an option to enable normalization checking as described in section 2.13 of this specification. It also handles namespaces according to the XML Namespaces 1.1 Candidate Recommendation, and will correctly serialize XML 1.1 documents if the DOM level 3 load/save API's are in use.

Alternatives

    Download

    Source package: libxerces2-java

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libxerces2-java deb package:
      # sudo apt-get install libxerces2-java

    Files

    • /usr/share/doc/libxerces2-java/NOTICE
    • /usr/share/doc/libxerces2-java/NOTICE.resolver.txt
    • /usr/share/doc/libxerces2-java/NOTICE.serializer.txt
    • /usr/share/doc/libxerces2-java/README
    • /usr/share/doc/libxerces2-java/README.Debian
    • /usr/share/doc/libxerces2-java/Readme.html
    • /usr/share/doc/libxerces2-java/changelog.Debian.gz
    • /usr/share/doc/libxerces2-java/copyright
    • /usr/share/java/xercesImpl-2.11.0.jar
    • /usr/share/java/xercesImpl.jar
    • /usr/share/java/xercesSamples.jar
    • /usr/share/java/xmlParserAPIs.jar
    • /usr/share/maven-repo/xerces/xercesImpl/2.11.0/xercesImpl-2.11.0.jar
    • /usr/share/maven-repo/xerces/xercesImpl/2.11.0/xercesImpl-2.11.0.pom
    • /usr/share/maven-repo/xerces/xercesImpl/debian/xercesImpl-debian.jar
    • /usr/share/maven-repo/xerces/xercesImpl/debian/xercesImpl-debian.pom
    • /usr/share/maven-repo/xerces/xmlParserAPIs/2.6.2/xmlParserAPIs-2.6.2.jar

    Changelog

    2013-07-25 - Emmanuel Bourg <ebourg@apache.org> libxerces2-java (2.11.0-7) unstable; urgency=low * Upload to unstable * Use canonical URLs for the Vcs-* fields * debian/rules: Improved the clean target * Enabled the hardening for libxerces2-java-gcj

    2013-04-04 - Emmanuel Bourg <ebourg@apache.org> libxerces2-java (2.11.0-7~exp1) experimental; urgency=low * Team upload. * Bump Standards Version to 3.9.4 (no changes). * debian/watch: Updated the URL * debian/control: Removed "Section: libs" for libxerces2-java-gcj to fix a Lintian warning (wrong-section-according-to-package-name)

    2012-05-17 - tony mancill <tmancill@debian.org> libxerces2-java (2.11.0-6) unstable; urgency=low * Team upload. * Update links for libxml-commons-external-java 1.4 (Closes: #663913) * Bump Standards Version to 3.9.3 (no changes). * Build class files with source/target = 1.4 to ensure backwards compatibility. Thanks to James Page. (Closes: #673177)

    2012-02-01 - tony mancill <tmancill@debian.org> libxerces2-java (2.11.0-5) unstable; urgency=low * Team upload. * Correct Class-Path in manifest for xercesImpl.jar (Closes: #657903) - Thanks to Andrew Ross. * Remove Michael Koch from Uploaders. (Closes: #654102)

    2011-11-24 - Jakub Adam <jakub.adam@ktknet.cz> libxerces2-java (2.11.0-4) unstable; urgency=low * Add OSGi metadata to jar manifest * Add javahelper to Build-Depends * Add Jakub Adam to Uploaders

    2011-10-31 - tony mancill <tmancill@debian.org> libxerces2-java (2.11.0-3) unstable; urgency=low * Team upload. * Apply patch submitted by James Page. (Closes: #646912) - d/pom.xml: Refreshed to ensure that Maven artifacts are installed with the correct version number (based on 2.10.0 as 2.11.0 is missing from the repository). - d/maven.rules: Map xml-apis->xml-apis-1.4 to line up with artifacts in libxml-commons-external-java.

    2011-08-27 - Damien Raude-Morvan <drazzib@debian.org> libxerces2-java (2.11.0-2) unstable; urgency=low * Add myself as Uploaders. * Add Depends on libxml-commons-external-java for jaxp-1.4.jar (Closes: #639333). * Drop Depends on libjaxp-1.3.jar.

    2011-08-25 - Damien Raude-Morvan <drazzib@debian.org> libxerces2-java (2.11.0-1) unstable; urgency=low * Team upload. [ Ludovic Claude ] * Change section of libxerces2-java-gcj to libs [ Damien Raude-Morvan ] * New upstream release. * Bump up Standards-Version to 3.9.2: no changes needed. * d/control: Drop Arnaud from Uploaders. Thanks! * Switch to 3.0 (quilt) format. * Bump up debhelper compat to 7. * d/control: Build-Depends o, default-jdk + gcj-native-helper (instead of default-jdk-builddep). * d/control: Drop Depends on JRE as per Debian Java Policy. * d/control: Only Suggests -gcj packages. * d/control: Build-Depends on libxml-commons-external for org.w3c.dom.ElementTraversal. * d/patches/03_bootclasspath.patch: Fix name of xml-resolver.jar (Closes: #638576). * d/rules: install xercesSamples.jar (Closes: #567001). * d/patches/04_manifest_classpath.patch: Set a Class-Path in Manifest for xml-apis-ext, xml-resolver and jaxp-1.3.

    2009-08-09 - Torsten Werner <twerner@debian.org> libxerces2-java (2.9.1-4) unstable; urgency=low * Upload to unstable.

    2009-05-07 - Ludovic Claude <ludovic.claude@laposte.net> libxerces2-java (2.9.1-3) experimental; urgency=low * Change section to java, bump up Standards-Version to 3.8.1 * Bump up debhelper to 6 * Add the Maven POM to the package, * Add a Build-Depends dependency on maven-repo-helper * Use mh_installpom and mh_installjar to install the POM and the jar to the Maven repository * Add ${misc:Depends} to Depends to clear Lintian warnings * Remove full text of the Apache 2 license from copyright [Matthias Klose] * Set java source and target version to 1.4. LP: #264808. * Depend on default-jre-headless.

    Advertisement
    Advertisement